%define name devicekit
%define oname DeviceKit
%define version 003
%define release %mkrel 1
%define major 0

%define libname %mklibname devkit-gobject %major
%define devlibname %mklibname -d devkit-gobject

Name:		%name
Version:	%version
Release:	%release
License:	GPLv2+ and LGPLv2+
Summary:	Device Enumeration Framework
Group:		System/Kernel and hardware
URL:		http://gitweb.freedesktop.org/?p=users/david/DeviceKit.git;a=summary
Source0:	http://hal.freedesktop.org/releases/%{oname}-%{version}.tar.gz 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	glib2-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gtk-doc
BuildRequires:	libudev-devel
Provides:	%{oname} = %{version}-%{release}

%description
DeviceKit is a framework for enumerating devices.

%package -n %{libname}
Summary:	Library for devkit-gobject	
Group:		System/Libraries 
Requires:	%{name} >= %{version}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with libdevkit-gobject.

%package -n %devlibname
Summary:	Development files from devkit-gobject
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libdevkit-gobject-devel = %version-%release

%description -n %devlibname
This package contains the development files needed to build programs that use
devkit-gobject.

%package devel
Summary:	Headers and libraries for DeviceKit
Group:		Development/Other
Provides:	%{oname}-devel = %{version}-%{release}
Requires:	%{name} = %{version}
Requires:	glib2-devel 

%description devel
DBus interface and documentation for DeviceKit.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING HACKING doc/TODO
%{_bindir}/*
%{_libexecdir}/devkit-daemon
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*
%{_sysconfdir}/dbus-1/system.d/*
%{_sysconfdir}/udev/rules.d/*
%{_datadir}/dbus-1/system-services/*
%dir %{_localstatedir}/run/devkit

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*

%files -n %devlibname
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%files devel
%defattr(-,root,root,-)
%{_datadir}/dbus-1/interfaces/*
%dir %{_datadir}/gtk-doc/html/devkit
%{_datadir}/gtk-doc/html/devkit/*



%changelog
* Thu Mar 05 2009 Frederic Crozat <fcrozat@mandriva.com> 003-1mdv2009.1
+ Revision: 348962
- Release 003
- Remove patch0 (merged upstream)

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 002-2mdv2009.1
+ Revision: 336450
- add devel provides

* Wed Jan 28 2009 Pascal Terjan <pterjan@mandriva.org> 002-1mdv2009.1
+ Revision: 334920
- import devicekit


* Wed Jan 28 2009 Pascal Terjan <pterjan@mandriva.org> 002-1mdv2009.1
- Adapt for Mandriva

* Fri Dec 12 2008 Colin Walters <walters@verbum.org> - 002-5
- Fix permissions patch

* Thu Dec 11 2008 Colin Walters <walters@verbum.org> - 002-4
- Add dbus permissions patch

* Thu Nov 13 2008 Matthias Clasen <mclasen@redhat.com> - 002-3
- Update to 002

* Sun Jul 20 2008 David Zeuthen <davidz@redhat.com> - 002-0.git20080720%%{?dist}
- Initial packaging
